#
# spec file for package sysfsutils (Version 2.1.0)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           sysfsutils
Summary:        System Utilities Package / Libsysfs
Version:        2.1.0
Release:        101.2
License:        LGPL v2.1 or later
Group:          System/Libraries
Url:            http://linux-diag.sourceforge.net
Source:         http://aleron.dl.sourceforge.net/sourceforge/linux-diag/%{name}-%{version}.tar.gz
Provides:       libsysfs
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package's purpose is to provide a library for interfacing with the
kernel's sys filesystem mounted at /sys. The libray was an attempt to
create a stable interface to sysfs, but it failed. It is still provided
for the current users, but no new software should use this library.



Authors:
--------
    Ananth Mavinakayanahalli <ananth@in.ibm.com>
    Daniel Stekloff <dsteklof@us.ibm.com>
    Mohan Kumar <mohan@in.ibm.com>

%prep
%setup

%build
CFLAGS="-fPIC $RPM_OPT_FLAGS" \
./configure \
	--prefix=%{_prefix} \
	--libdir=/%{_lib} \
	--infodir=%{_infodir} \
	--mandir=%{_mandir}
make

%install
make install DESTDIR=%{buildroot}
# create devel symlink in /usr
mkdir -p %{buildroot}%{_libdir}
(cd %{buildroot}%{_libdir} && ln -s ../../%{_lib}/libsysfs.so.? libsysfs.so)
(cd %{buildroot} && mv %{_lib}/libsysfs.a %{buildroot}%{_libdir})
(cd %{buildroot} && rm -f %{_lib}/libsysfs.la)
(cd %{buildroot} && rm -f %{_lib}/libsysfs.so)
# don't install the tools
rm -f %{buildroot}/%{_bindir}/dlist_test
rm -f %{buildroot}/%{_bindir}/get_device
rm -f %{buildroot}/%{_bindir}/get_driver
rm -f %{buildroot}/%{_bindir}/get_module
rm -f %{buildroot}/%{_bindir}/testlibsysfs

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/systool
%{_mandir}/man1/systool.1.gz
/%{_lib}/libsysfs.so.*
%doc README ChangeLog
%dir %{_includedir}/sysfs
%{_includedir}/sysfs/libsysfs.h
%{_includedir}/sysfs/dlist.h
%{_libdir}/libsysfs.a
%{_libdir}/libsysfs.so

%changelog
* Tue May 27 2008 hare@suse.de
- Include systool binary (bnc#391754)
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Tue Jan 16 2007 hare@suse.de
- Run ldconfig on %%post (#204063)
- Do not duplicate .so symlink (#235332)
* Thu Aug 31 2006 kay.sievers@suse.de
- update to version 2.1.0
- provide only the shared lib, not the static lib, not the tools
* Thu Mar  9 2006 hare@suse.de
- Do not install testlibsysfs (#149981 - LTC21580)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 hmacht@suse.de
- also substitude libtool path in *.la file when moving libraries
  (bug #141161)
* Fri Jun 24 2005 snwint@suse.de
- move shared libs to /lib
* Fri Jun 10 2005 hare@suse.de
- initial release 1.3.0; split off from udev rpm.
